Results 1 to 8 of 8

Thread: Mplayer libschroedinger-1.0.so.0 issue

  1. #1
    snak47 NNTP User

    Angry Mplayer libschroedinger-1.0.so.0 issue

    Hi,

    I've just updated my mplayer from Packman repository - version 1.0rc2_r27637-2.pm.1
    The mplayer doesn't work anymore and the error is:

    symbol lookup error: /usr/lib/libschroedinger-1.0.so.0: undefined symbol: oil_function_class_ptr_multiply_and_acc_8xn_s16_u8

    Does anyone know why is this happening?

    Thx

  2. #2
    Join Date
    Mar 2008
    Location
    Phuket, Thailand
    Posts
    26,574
    Blog Entries
    38

    Default Re: Mplayer libschroedinger-1.0.so.0 issue

    Quote Originally Posted by snak47 View Post
    Hi,

    I've just updated my mplayer from Packman repository - version 1.0rc2_r27637-2.pm.1
    The mplayer doesn't work anymore and the error is:

    symbol lookup error: /usr/lib/libschroedinger-1.0.so.0: undefined symbol: oil_function_class_ptr_multiply_and_acc_8xn_s16_u8

    Does anyone know why is this happening?

    Thx
    I have MPlayer-1.0rc2_r27637-2.pm.1 installed on both my 10.3 and 11.0 PCs and it works well. I typically use the "smplayer" front end to it. I do note (until a fix was applied) there was a problem with MPlayer on openSUSE-10.3 and 11.0 PCs (both kde3) with the latest caca-utils-0.9_0.99.beta15-0.pm.5.i586.rpm and libcaca0-0.9_0.99.beta15-0.pm.5.i586.rpm from Packman not being compatible with MPlayer-1.0rc2_r27637-2.pm.1.i586.rpm also packaged by Packman.

    When trying to play an flv or mpeg file, the error I obtained was:
    Code:
        oldcpu@stonehenge01:~/data/musicvideos> mplayer oldcpu-video.mpg
        mplayer: error while loading shared libraries: libcucul.so.0: cannot open shared object file: No such file or directory
    On my openSUSE-10.3 PC, I rolled libcaca back to libcaca0-0.9_0.99.beta14-0.pm.5.i586.rpm and the problem went away, and I could play mpeg and flv files with no problem.

    I was told that re-install libcaca0 with "zypper in -f libcaca0" would fix the problem, so I tried that re-install and it worked on my openSUSE-11.0 PC. The thread is here:
    mplayer error with latest libcaca0 - openSUSE Forums

    Further to that, I obtained the same recommendation from the Packman packagers. And I was told another quick solution is to create symlinks from libcucul.so to libcaca.so.

    Your problem appears to be different. Do you have the packman packaged libschroedinger0-1.0.5-0.pm.1 installed ?

  3. #3

    Default Re: Mplayer libschroedinger-1.0.so.0 issue

    Install liboil0 0.3.15 and remove liboil 0.3.14.
    And I would install libavcodec52 prom Packman instead of Videolan...

  4. #4

    Default Re: Mplayer libschroedinger-1.0.so.0 issue

    One tip : never enable the VideoLan repo. This will cause some inconsistencies with packman packages.

    Use only the VideoLan repo to install the libdvdcss2 rpm. All other packages are included in Packman repo.

  5. #5
    snak47 NNTP User

    Default Re: Mplayer libschroedinger-1.0.so.0 issue

    Thanks for posting.

    I'm using smplayer too on my opensuse 10.3.
    And I have libschroedinger 1.0.5-0.pm.1 installed. I think it was installed while installing mplayer - there is a dependency on this lib.

    Is it possible to install a older version of mplayer/libschroedinger using Packman?

  6. #6
    snak47 NNTP User

    Default Re: Mplayer libschroedinger-1.0.so.0 issue

    Thank you guys!

    It works now!
    I've updated liboil through packman (v. 0.3.14-10.2) and it works like magic

  7. #7

    Default Re: Mplayer libschroedinger-1.0.so.0 issue

    Quote Originally Posted by snak47 View Post
    I've updated liboil through packman (v. 0.3.14-10.2) and it works like magic
    If no version is specified we suppose you are using the latest available openSUSE version (11.0 right now). So in the future please note you are using 10.2.

    In this case there is a bug in the Packman package since libschroedinger requires liboil >= 0.3.13. But since 10.2 will reach end of life soon.
    /dev/loki: Packman: removing openSUSE 10.0 and 10.1 packages there is no need to report it.

  8. #8
    snak47 NNTP User

    Default Re: Mplayer libschroedinger-1.0.so.0 issue

    Sure, will do. I'm using 10.3 now

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •